# cCorpse Class Reference

Inheritance diagram for cCorpse:

List of all members.

## Public Member Functions

| cCorpse (WORD type, DWORD dwGUID, cLocation &Loc, char *szName, char *szDesc)
void | Assess (cClient *pcAssesser)
void | Action (cClient *who)
cMessage | CreatePacket ()
DWORD | GetCorpseGUID ()
DWORD | GetType ()
void | SetMode (DWORD mode)
DWORD | GetMode ()
void | SetData (WORD wAnimConfig, WORD wSoundSet, WORD wModel, WORD wIcon, DWORD MonsterModelID, float flScale)
void | AddInventory (cObject *pcObject)
void | RemoveInventory (cObject *pcObject)
cObject * | FindInventory (DWORD dwGUID)
void | DeleteFromInventory (cObject *pcObject)

## Friends

class | cClient
class | cMonster

## Constructor & Destructor Documentation

cCorpse::cCorpse | ( | WORD | type,
|  | DWORD | dwGUID,
|  | cLocation & | Loc,
|  | char * | szName,
|  | char * | szDesc |
| ) |  |  |

A constructor.

Called whenever a corpse object is initialized.

Handles the creation of corpses.

Called whenever a corpses object should be initialized.

## Member Function Documentation

void cCorpse::Action | ( | cClient * | who | ) | `[virtual]`

Handles the actions of corpse objects.

This function is called whenever a corpse is used.

Implements cObject.

void cCorpse::Assess | ( | cClient * | pcAssesser | ) | `[virtual]`

Handles the assessment of corpse objects.

This function is called whenever a corpse is assessed by a client. Returns a server message to the client.

Reimplemented from cObject.

cMessage cCorpse::CreatePacket | ( |  | ) | `[virtual]`

Handles the message sent for the creation of a corpse in the world.

This function is called whenever a corpse should be created in the world for a client.

Returns:
  cMessage - Returns a server message to the client.

Implements cObject.

The documentation for this class was generated from the following files:

- E:/uas2/Server/Object.h
- E:/uas2/Server/Corpse.cpp